Bug 8929 - correct "servicePrincipalName" handling
correct "servicePrincipalName" handling
Status: ASSIGNED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on: 7485
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:13 UTC by Matthias Dieter Wallnöfer
Modified: 2016-10-13 08:50 UTC (History)
2 users (show)

See Also:
mdw: review+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2012-05-11 07:13:46 UTC
"servicePrincipalName" should be treated case-insensitively in respect to matching. This means that "HOST/somename" is not allowed when "host/somename" is already there.

See thread "cannot rename windows xp machine in samba4" on samba-technical.

I really think that this needs to be fixed before s4 final.
Comment 1 Stefan Metzmacher 2012-10-22 14:42:16 UTC
This branch seems to have some patches for the problem...

s4:sam.py - "servicePrincipalName" - test for case-insensitiveness
https://gitweb.samba.org/?p=mdw/samba.git;a=shortlog;h=44353515af2

Andrew, Matthias any plan to get this to master/v4-0-test?
Comment 2 Matthias Dieter Wallnöfer 2012-10-22 20:08:42 UTC
They need some rework in order to pass the tests. I'm sorry but I cannot do it at the moment.

I paste you the explanations which Andrew gave me some time ago:
> Sadly this has required a fair bit of work, even to just get the obvious
> problems sorted.

> In particular, the error codes from the operator_fn() hook cannot be
> ignored, and we should not pass in a memory context to a function that
> does not itself return memory. 

> I've not had a chance to actually test these, and I'm a little worried
> about what would happen for the cases where we never match (element
> values containing a deleted DN).

> I've pushed my rework (compiles, untested so far) to my mdw-master
> branch.
Comment 3 Matthieu Patou 2012-11-06 08:39:30 UTC
Moving to 4.1 as I don't think it's critical for 4.0.0 fix can be made for 4.0.x
Comment 4 Matthias Dieter Wallnöfer 2013-05-17 13:12:22 UTC
Metze, please have a look at my updated branch: http://gitweb.samba.org/samba.git/?p=mdw/samba.git;a=log;h=refs/heads/ldb_schema.

I think I have found the issue which prevented this from working.
Comment 5 Andrew Bartlett 2013-06-27 08:51:29 UTC
the ldb_schema branch fails autobuild due to errors in the 'make test' of ldb.  That is the main reason this wasn't merged.
Comment 6 Matthieu Patou 2013-08-21 04:39:15 UTC
Matthias can you have a look at why your branch fails autobuid ?
Comment 7 Stefan Metzmacher 2013-08-29 08:05:59 UTC
(In reply to comment #6)
> Matthias can you have a look at why your branch fails autobuid ?

I think this will pass autobuild:

https://gitweb.samba.org/?p=metze/samba/wip.git;a=shortlog;h=refs/heads/master4-mdw

Matthias and Andrew, can I add your review and push it to master?

Simo, can we also get your review?
Comment 8 Stefan Metzmacher 2013-08-29 10:27:25 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > Matthias can you have a look at why your branch fails autobuid ?
> 
> I think this will pass autobuild:
> 
> https://gitweb.samba.org/?p=metze/samba/wip.git;a=shortlog;h=refs/heads/master4-mdw
> 
> Matthias and Andrew, can I add your review and push it to master?
> 
> Simo, can we also get your review?

https://gitweb.samba.org/?p=metze/samba/wip.git;a=commitdiff;h=780f108588616b
passed autobuild twice for me.
Comment 9 Karolin Seeger 2013-08-30 08:29:31 UTC
Is this a blocker for 4.1.0 or 4.2?
Comment 10 Karolin Seeger 2013-08-30 09:47:27 UTC
(In reply to comment #9)
> Is this a blocker for 4.1.0 or 4.2?

Comment from Metze:

For the patches for https://bugzilla.samba.org/show_bug.cgi?id=8929
(correct "servicePrincipalName" handling)
I just need the permission from Andrew and Matthias to add their
sign-off to the patches. I already reviewed them, but I'd like to get
an ack from Simo.
See
https://gitweb.samba.org/?p=metze/samba/wip.git;a=commitdiff;h=780f108588616b
Comment 11 Matthias Dieter Wallnöfer 2013-08-30 15:37:12 UTC
I am sorry that I have not answered earlier. The patches are perfectly okay.
Comment 12 Andrew Bartlett 2013-09-02 20:34:57 UTC
These tags may be added to https://gitweb.samba.org/?p=metze/samba/wip.git;a=commitdiff;h=780f108588616b

Reviewed-by: Andrew Bartlett <abartlet@samba.org>
Signed-off-by: Andrew Bartlett <abartlet@samba.org>

If as indicated this all passes autobuild, it will be great to finally have this fixed in the tree (even if it does make some things slower).
Comment 13 Matthias Dieter Wallnöfer 2013-09-05 15:30:47 UTC
This should be the fixed up version of the last patch (test-generic.sh). Please review!

http://gitweb.samba.org/samba.git/?p=mdw/samba.git;a=commitdiff;h=118a2eee516e1bf8c4c7b799f00fab2f567ac58d
Comment 14 Karolin Seeger 2013-09-16 07:56:35 UTC
Please attach the patches and review flags to the bug report! Thanks!
Comment 15 Karolin Seeger 2013-09-20 07:12:59 UTC
ping
Comment 16 Stefan Metzmacher 2013-09-27 07:56:48 UTC
This gets larger than expected :-(

https://gitweb.samba.org/?p=metze/samba/wip.git;a=shortlog;h=refs/heads/master4-mdw

Don't block 4.1.0 it's not a regression compared to 4.0.x
Comment 17 Karolin Seeger 2013-12-10 15:34:27 UTC
Any news on this one?
Comment 18 Clement Wong 2014-03-06 00:57:49 UTC
Guys, I run into a 8418 mismatch problem and it seems to be cause by this issue, any progress on this? Can it make it into 4.2?
This is really important for us.
I would love to help testing.
Comment 19 Matthias Dieter Wallnöfer 2015-12-28 20:58:00 UTC
@metze: any news here? Did you manage to do something?

I stumbled over my patches written some years ago and so I wonder if this is still a current issue. Or has it been solved differently?